### Function

# GObject boxed_type_register_static

#### Declaration [src]

    GType
    g_boxed_type_register_static (
      const gchar* name,
      GBoxedCopyFunc boxed_copy,
      GBoxedFreeFunc boxed_free
    )

#### Description [src]

This function creates a new `G_TYPE_BOXED` derived type id for a new boxed type with name `name`.

Boxed type handling functions have to be provided to copy and free opaque boxed structures of this type.

For the general case, it is recommended to use G_DEFINE_BOXED_TYPE() instead of calling `g_boxed_type_register_static()` directly. The macro will create the appropriate `*_get_type()` function for the boxed type.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the new boxed type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`boxed_copy`

  Type: `GBoxedCopyFunc`

  Boxed structure copy function.

`boxed_free`

  Type: `GBoxedFreeFunc`

  Boxed structure free function.

#### Return value

Type: `GType`

New `G_TYPE_BOXED` derived type id for `name`.